#
# spec file for package perl-Compress-Zlib (Version 1.08)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         perl-Compress-Zlib
Copyright:    Copyright (c) 1995-2000 Paul Marquess. All rights reserved.
Group:        Development/Languages/Perl
Provides:     p_comzlb
Obsoletes:    p_comzlb
Autoreqprov:  on
Summary:      Perl interface to part of the info-zip zlib compression library
Version:      1.08
Release:      117
Source:       Compress-Zlib-%{version}.tar.gz
BuildRoot:    %{_tmppath}/%{name}-root

%description
Perl interface to part of the info-zip zlib compression library

Authors:
--------
    Paul Marquess <Paul.Marquess@btinternet.com>

SuSE series: perl

%prep
%setup -n Compress-Zlib-%{version}
# ---------------------------------------------------------------------------

%build
perl Makefile.PL
make
# ---------------------------------------------------------------------------

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
    eval `perl -V:installarchlib`
    install -d $RPM_BUILD_ROOT/$installarchlib
    make PREFIX=$RPM_BUILD_ROOT/usr \
            INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
            install
    install -d $RPM_BUILD_ROOT/var/adm/perl-modules
    cat $RPM_BUILD_ROOT/$installarchlib/perllocal.pod | sed "s@$RPM_BUILD_ROOT@@g" > $RPM_BUILD_ROOT/var/adm/perl-modules/perl-Compress-Zlib
    cd $RPM_BUILD_ROOT/usr/lib/perl5/site_perl/5.*/*-linux/auto/Compress/Zlib
    cat .packlist | sed "s@$RPM_BUILD_ROOT@@g" | sort -u > .packlist

%files
%defattr(-, root, root)
/usr/lib/perl5/site_perl/5.*/*-linux/Compress/Zlib.pm
/usr/lib/perl5/site_perl/5.*/*-linux/auto/Compress/Zlib
%doc /usr/share/man/man3/Compress::Zlib.3pm.gz
/var/adm/perl-modules/perl-Compress-Zlib
%doc ANNOUNCE MANIFEST README

%changelog -n perl-Compress-Zlib
* Wed Nov 15 2000 - choeger@suse.de
- long packagename
- buildroot
* Wed Jul 19 2000 - choeger@suse.de
- first package, v1.08
